rio-0.1.18.0: A standard library for Haskell

Safe Haskell | Safe
Language | Haskell2010

RIO.Set.Partial

Contents

- Indexed
- Min/Max

Description

`Set` partial functions. Import as:

    import qualified RIO.Set.Partial as Set'

Synopsis

- findIndex :: Ord a => a -> Set a -> Int
- elemAt :: Int -> Set a -> a
- deleteAt :: Int -> Set a -> Set a
- findMin :: Set a -> a
- findMax :: Set a -> a
- deleteFindMin :: Set a -> (a, Set a)
- deleteFindMax :: Set a -> (a, Set a)

# Indexed

findIndex :: Ord a => a -> Set a -> Int #

elemAt :: Int -> Set a -> a #

deleteAt :: Int -> Set a -> Set a #

# Min/Max

findMin :: Set a -> a #

findMax :: Set a -> a #

deleteFindMin :: Set a -> (a, Set a) #

deleteFindMax :: Set a -> (a, Set a) #